# Package org.apache.catalina.security

- Class Summary
  Class | Description
  --- | ---
  Constants |
  DeployXmlPermission | Grant this permission to a docBase to permit the web application to use any `META-INF/context.xml` that might be present with in the application when `deployXML` has been disabled at the Host level.
  SecurityClassLoad | Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.
  SecurityConfig | Util class to protect Catalina against package access and insertion.
  SecurityListener | This listener must only be nested within `Server` elements.
  SecurityUtil | This utility class associates a `Subject` to the current `AccessControlContext`.